## org.apache.taglibs.standard.tei
Class ForEachTEI

    java.lang.Object
      javax.servlet.jsp.tagext.TagExtraInfo
          org.apache.taglibs.standard.tei.ForEachTEI

    public class ForEachTEI

extends TagExtraInfo

An implementation of TagExtraInfo that implements validation for ForEachTag's attributes

Author:
  Shawn Bayern

Constructor Summary
`ForEachTEI()`

Method Summary
`boolean` `isValid(TagData us)` Translation-time validation of the attributes.

Methods inherited from class javax.servlet.jsp.tagext.TagExtraInfo
`getTagInfo, getVariableInfo, setTagInfo, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForEachTEI

    public ForEachTEI()

Method Detail

### isValid

    public boolean isValid(TagData us)

  Description copied from class: `TagExtraInfo`
  Translation-time validation of the attributes. Request-time attributes are indicated as such in the TagData parameter. Note that the preferred way to do validation is with the validate() method, since it can return more detailed information.

  Overrides:
    `isValid` in class `TagExtraInfo`
  Parameters:
    `us` - The TagData instance.
  Returns:
    Whether this tag instance is valid.
  See Also:
    `TagExtraInfo.validate(javax.servlet.jsp.tagext.TagData)`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.